Maps.SetterByKey (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cql3

## Class Maps.SetterByKey

- java.lang.Object
- - org.apache.cassandra.cql3.Operation
  - - org.apache.cassandra.cql3.Maps.SetterByKey

- Enclosing class:
    Maps

      public static class Maps.SetterByKey
      extends Operation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Operation

      `Operation.Addition, Operation.ColumnDeletion, Operation.ElementDeletion, Operation.Prepend, Operation.RawDeletion, Operation.RawUpdate, Operation.SetElement, Operation.SetValue, Operation.Substraction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.Operation

      `column, t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetterByKey(ColumnDefinition column, Term k, Term t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
    `void` | `execute(java.nio.ByteBuffer rowKey, ColumnFamily cf, Composite prefix, UpdateParameters params)` Execute the operation.

    - ### Methods inherited from class org.apache.cassandra.cql3.Operation

      `getFunctions, requiresRead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetterByKey

          public SetterByKey(ColumnDefinition column,
                             Term k,
                             Term t)

  - ### Method Detail

    - #### collectMarkerSpecification

          public void collectMarkerSpecification(VariableSpecifications boundNames)

      Description copied from class: `Operation`
      Collects the column specification for the bind variables of this operation.
      Overrides:
        `collectMarkerSpecification` in class `Operation`
      Parameters:
        `boundNames` - the list of column specification where to collect the bind variables of this term in.

    - #### execute

          public void execute(java.nio.ByteBuffer rowKey,
                              ColumnFamily cf,
                              Composite prefix,
                              UpdateParameters params)
                       throws InvalidRequestException

      Description copied from class: `Operation`
      Execute the operation.
      Specified by:
        `execute` in class `Operation`
      Parameters:
        `rowKey` - row key for the update.
        `cf` - the column family to which to add the updates generated by this operation.
        `prefix` - the prefix that identify the CQL3 row this operation applies to.
        `params` - parameters of the update.
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation